<ion-content>
  <div class="logo" #walletImg></div>
  <div class="label">
      <ion-label>Install the Sirius Wallet Available</ion-label>
  </div>
  <div class="store">
      <ion-grid>
          <ion-row>
              <ion-col class="logo_store">
                  <ion-img src="../../assets/images/google_play.png"></ion-img>
              </ion-col>
              <ion-col class="logo_store">
                <ion-img src="../../assets/images/app_store.png"></ion-img>
            </ion-col>
          </ion-row>
      </ion-grid>
  </div>
      <div class="ion-padding">
        <form [formGroup]="form" (ngSubmit)="createWallet(form)" class="form ion-padding">
          <div class="main_wrapper">
            <ion-item lines="none">
              <ion-input formControlName="wallet_name" placeholder="Wallet Name"></ion-input>
            </ion-item>
            <ion-item lines="none">
              <ion-input formControlName="password" type="password" placeholder="Wallet Password"></ion-input>
            </ion-item>
            <div  *ngIf="password.errors?.minlength">
              <p style="color:#cc0000;font-style:italic;">
              Password must be at least 8 characters<p>
              </div>
            <br/><br/>
            <ion-button expand="full" type="submit" shape="round" [disabled]="!getSubmitButton()">Create</ion-button>
          </div>
        </form>
      </div>
      <ion-img class="footer_logo" src="../../assets/images/imagerax_desc.png"></ion-img>
</ion-content>

